<?php
if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


function formulaires_editer_gamuform_saisies_dist($id_objet = 0, $objet = '', $redirect = '') {
	$saisies = false;
	if (gamuform_objet_autoriser($objet)) {
		$saisies = $GLOBALS['gamuform_'.$objet];
	}
	return $saisies;
}

function formulaires_editer_gamuform_charger_dist($id_objet = 0, $objet = '', $redirect = '') {

	$table = table_objet_sql($objet);
	$id    = id_table_objet($objet);
	$s     = gamuform_recup_champ($objet);

	$valeurs = sql_fetsel($s, $table, "$id=".intval($id_objet));

	return $valeurs;
}

function formulaires_editer_gamuform_verifier_dist($id_objet = 0, $objet = '', $redirect = '') {

	$erreurs = array();
	return $erreurs;
}

function formulaires_editer_gamuform_traiter_dist($id_objet = 0, $objet = '', $redirect = '') {

	$saisies = $GLOBALS['gamuform_'.$objet];
	$table   = table_objet_sql($objet);
	$id      = id_table_objet($objet);

	$update = true;
	if (!intval($id_objet)) {
		$id_objet = sql_insertq($table, []);
		$update = false;
	}

	$set = [];
	if (!empty($saisies)) {
		foreach ($saisies as $saisie) {
			$champ = $saisie['options']['nom'];
			if (
				isset($saisies['options']['fonction'])
				and $f = $saisies['options']['fonction']
			) {
				$f($id_objet, $objet, $champ, _request($champ));
			} elseif (
				isset($saisies['options']['modifier'])
				and $m = $saisies['options']['modifier']
			) {
				$set[$champ] = $m($champ, _request($champ));
			} else {
				$set[$champ] = _request($champ);
			}
		}
		if (count($set)) {
			$set = pipeline(
				'pre_edition',
				array(
					'args' => array(
						'table'    => $table,
						'id_objet' => $id_objet,
						'action'   => 'gamuform',
						'update'   => $update
					),
					'data' => $set
				)
			);
			sql_updateq('spip_auteurs', $set, "$id=".intval($id_objet));
		}
	}

	$retour = [];
	if ($redirect === 'gamutable') {
		$retour['redirect'] = '';
		if ($update) {
			$retour['message_ok'] = gamutable_fermer_modalbox($id_objet);
		} else {
			$retour['message_ok'] = gamutable_fermer_modalbox();
		}
	} else if ($redirect) {
		$retour['redirect'] = $redirect;
	}

	return $retour;
}
